
Figure - Bug #118132
【IOVDEV-29558】【内部】【VC1】【0095】【实车】【EE环境】【副屏】【display】从主屏幕DOCK栏文件
移动应用图标至主屏幕，当文件夹仅存最后一个应用时，文件夹会连带图标自动消失
2023-05-22 15:35 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-22

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0080.C101.03����【副屏版本号】：01.00.0095.c103

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-24

Test Type: ST Root cause: 编码问题

Description

【环境信息】EE环境

【问题出现时间】：2023.5.20 15:36

【前提条件】：

1.副屏正常开机

2.页面显示正常

【操作步骤】：

从主屏幕DOCK栏文件依次移动应用图标至主屏幕

【实际结果】：

文件夹仅存最后一个应用时，文件夹会连带图标自动消失

【期望结果】：

文件夹仅存最后一个应用时，最后一个应用图标不会消失

【备注】：

第1008次开机

bug链接

https://ofs.human-horizons.com/#/download/index/wanwybvD96g%3D

【应用版本】：

【VIN号】：LJD8BC3F3P0000310

【中控版本号】：03.02.0080.C101.03

【副屏版本号】：01.00.0095.c103
Related issues:

Related to Figure - Bug # 118204: 【IOVDEV-30065】内部】【VC1】【... CLOSED 2023-05-24

History

#1 - 2023-05-22 15:35 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118132

#2 - 2023-05-22 15:42 - CDTS_Test 吴诗雨

- Subject changed from 【IOVDEV-29558】【内部】【VC1】【0095】【实车】【EE环境】【副屏】【display】从主屏幕DOCK栏文件移动应用图标至主屏

幕，当文件夹仅存最后一个应用时，文件夹会连带图标自动消失� 20 之 55 上一问题'IOVDEV-29577' 下个问题'IOVDEV-29544' 返回到搜索 to 

【IOVDEV-29558】【内部】【VC1】【0095】【实车】【EE环境】【副屏】【display】从主屏幕DOCK栏文件移动应用图标至主屏幕，当文件夹仅存最

后一个应用时，文件夹会连带图标自动消失

#3 - 2023-05-22 16:12 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#4 - 2023-05-22 19:24 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

调查发现：文件夹下最后一个图标存在时，移除了文件夹，数据库数据有更新，但是该图标并未添加到DOCK栏目中

■ Next action

还需要在合适的位置将图标添加进去

#5 - 2023-05-23 10:24 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

最后一个图标由于计算错误，导致添加到hotseat中失败。

解决方案是:修改位置获取计算方式，使满足添加条件

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/201891

#6 - 2023-05-23 19:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201891 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Fixed cellYFromOrder in hotseatTC-RID: 0301-0205303IssueID: TS-R-BUG-118132Change-Id: I584d9df493cc8df8a50c99fe3e2e5c335f89e02b
#7 - 2023-05-23 19:03 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-24

- Root cause set to 编码问题

#8 - 2023-06-02 17:06 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#9 - 2023-06-02 17:07 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#10 - 2023-06-02 17:07 - CDTS_Test 吴诗雨

本地验证通过，jira已同步

#11 - 2023-07-11 15:10 - CDTS_Test 吴诗雨

0711验证通过

Files

飞书20230520-170415.mp4 3.81 MB 2023-05-22 CDTS_Test 吴诗雨

2025-07-04 3/3


